import 'package:json_annotation/json_annotation.dart';
import 'package:adeptarch_base/src/filters/filter.dart';

part 'bool_filter.g.dart';

@JsonSerializable()
class BoolFilter extends Filter<BoolFilter, bool> {
  BoolFilter({
    required super.param,
    super.sortMode,
    super.filterActionType,
  });

  @override
  Map<String, dynamic> toJson() => _$BoolFilterToJson(this);
  @override
  BoolFilter? fromJsonMap(Map<String, dynamic>? json) =>
      json != null ? BoolFilter.fromJson(json) : null;
  factory BoolFilter.fromJson(Map<String, dynamic> json) =>
      _$BoolFilterFromJson(json);
}
